LoggerFactory (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j
Class LoggerFactory

    java.lang.Object
      org.slf4j.LoggerFactory

    public final class LoggerFactory

extends Object

The `LoggerFactory` is a utility class producing Loggers for various logging APIs, most notably for log4j, logback and JDK 1.4 logging. Other implementations such as `NOPLogger` and `SimpleLogger` are also supported.

`LoggerFactory` is essentially a wrapper around an `ILoggerFactory` instance bound with `LoggerFactory` at compile time.

Please note that all methods in `LoggerFactory` are static.

Author:
  Ceki Gülcü, Robert Elliot

Method Summary
`static ILoggerFactory` | `getILoggerFactory()` Return the `ILoggerFactory` instance in use.
`static Logger` | `getLogger(Class clazz)` Return a logger named corresponding to the class passed as parameter, using the statically bound `ILoggerFactory` instance.
`static Logger` | `getLogger(String name)` Return a logger named according to the name parameter using the statically bound `ILoggerFactory` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static Logger getLogger(String name)

  Return a logger named according to the name parameter using the statically bound `ILoggerFactory` instance.

  Parameters:
    `name` - The name of the logger.
  Returns:
    logger

### getLogger

    public static Logger getLogger(Class clazz)

  Return a logger named corresponding to the class passed as parameter, using the statically bound `ILoggerFactory` instance.

  Parameters:
    `clazz` - the returned logger will be named after clazz
  Returns:
    logger

### getILoggerFactory

    public static ILoggerFactory getILoggerFactory()

  Return the `ILoggerFactory` instance in use.

  ILoggerFactory instance is bound with this class at compile time.

  Returns:
    the ILoggerFactory instance in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.